### Method

# Pango Layout index_to_pos

#### Declaration [src]

    void
    pango_layout_index_to_pos (
      PangoLayout* layout,
      int index_,
      PangoRectangle* pos
    )

#### Description [src]

Converts from an index within a `PangoLayout` to the onscreen position corresponding to the grapheme at that index.

The returns is represented as rectangle. Note that `pos->x` is always the leading edge of the grapheme and `pos->x + pos->width` the trailing edge of the grapheme. If the directionality of the grapheme is right-to-left, then `pos->width` will be negative.

#### Parameters

`index_`

  Type: `int`

  Byte index within `layout`.

`pos`

  Type: `PangoRectangle`

  Rectangle in which to store the position of the grapheme.

  The argument will be set by the function.
  The returned data is owned by the instance.